package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.context.VariableContext;
import org.bitbucket.bradleysmithllc.etlunit.parser.*;

public interface ClassListener extends OperationProcessor
{
	void begin(ETLTestClass cl, VariableContext context) throws TestAssertionFailure, TestExecutionError, TestWarning;

	void declare(ETLTestVariable var, VariableContext context);

	void begin(ETLTestMethod mt, VariableContext context) throws TestAssertionFailure, TestExecutionError, TestWarning;

	void begin(ETLTestOperation op, ETLTestValueObject parameters, VariableContext vcontext, ExecutionContext econtext)
			throws TestAssertionFailure, TestExecutionError, TestWarning;

	void end(ETLTestOperation op, ETLTestValueObject parameters, VariableContext vcontext, ExecutionContext econtext)
			throws TestAssertionFailure, TestExecutionError, TestWarning;

	void end(ETLTestMethod mt, VariableContext context) throws TestAssertionFailure, TestExecutionError, TestWarning;

	void end(ETLTestClass cl, VariableContext context) throws TestAssertionFailure, TestExecutionError, TestWarning;
}