package org.bitbucket.bradleysmithllc.etlunit.feature;

import org.bitbucket.bradleysmithllc.etlunit.OperationProcessor;

import java.util.List;

/**
 * An operation type supported by this feature.  Extends operation processor since this object will actually process the invoked
 * operation.
 */
public interface FeatureOperation extends OperationProcessor
{
	String getName();

	String getDescription();

	String getUsage();

	String getPrototype();

	List<FeatureOperationSignature> getSignatures();
}